Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class PATInstrument

    java.lang.Object
      javax.sound.midi.SoundbankResource
          javax.sound.midi.Instrument
              com.sun.media.sound.ModelInstrument
                  com.sun.media.sound.PATInstrument

    public class PATInstrument

extends ModelInstrument

GUS Instrument.

Version:
  %I%, %E%
Author:
  Karl Helgason

Constructor Summary
`PATInstrument()`
`PATInstrument(java.io.File file)`
`PATInstrument(java.io.InputStream inputstream)`
`PATInstrument(java.net.URL url)`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFormat()`
`java.lang.String` | `getName()`
`ModelPatch` | `getPatch()`
`ModelPerformer[]` | `getPerformers()`
`PATSample[]` | `getSamples()`
`java.lang.String` | `getVendor()`
`void` | `setDescription(java.lang.String description)`
`void` | `setFormat(java.lang.String format)`
`void` | `setName(java.lang.String name)`
`void` | `setPatch(javax.sound.midi.Patch patch)`
`void` | `setSamples(PATSample[] samples)`
`void` | `setVendor(java.lang.String vendor)`

Methods inherited from class com.sun.media.sound.ModelInstrument
`getChannelMixer, getChannels, getDirector, getKeys, getPatchAlias`

Methods inherited from class javax.sound.midi.SoundbankResource
`getDataClass, getSoundbank`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PATInstrument

    public PATInstrument()

### PATInstrument

    public PATInstrument(java.net.URL url)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### PATInstrument

    public PATInstrument(java.io.File file)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### PATInstrument

    public PATInstrument(java.io.InputStream inputstream)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getData

    public java.lang.Object getData()

  Specified by:
    `getData` in class `javax.sound.midi.SoundbankResource`

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.sound.midi.SoundbankResource`

### setName

    public void setName(java.lang.String name)

### getPatch

    public ModelPatch getPatch()

  Overrides:
    `getPatch` in class `javax.sound.midi.Instrument`

### setPatch

    public void setPatch(javax.sound.midi.Patch patch)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getFormat

    public java.lang.String getFormat()

### setFormat

    public void setFormat(java.lang.String format)

### getVendor

    public java.lang.String getVendor()

### setVendor

    public void setVendor(java.lang.String vendor)

### getPerformers

    public ModelPerformer[] getPerformers()

  Overrides:
    `getPerformers` in class `ModelInstrument`

### getSamples

    public PATSample[] getSamples()

### setSamples

    public void setSamples(PATSample[] samples)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD